<h1><?= __('send_message'); ?></h1>
	
<? 
$sess = new Zend_Session_Namespace('feedback'); 
$sess->rand = $rand_str = md5(microtime());
?>

<form class="feedback-form feedback-block" action="<?= $this->getLink('feedback-ads') ?>" method="post">
	<input type="hidden" name="to" value="<?= $this->data['to'] ?>" />
	<input type="hidden" name="rand" value="<?= $rand_str ?>" />

	<? if ( $this->data['about'] ): ?><input type="hidden" name="about" value="<?= $this->data['about'] ?>" /><? endif ?>

	<? if ( $this->success ): ?><h2>Your feedback has been successfully submitted</h2><? endif ?>

	<div class="line">
		<input class="defaultText textinput f-n<?= isset($this->errors['name']) ? ' invalid' : '' ?>" type="text" name="f_name" size="16" value="<?= $this->data['name'] ? $this->data['name'] : $this->t('feedback_form_name') . ' ...' ?>" />
		<input type="hidden" id="f-name" name="name" value="" />
		<div class="clear"></div>
	</div>

	<div class="line">
		<input class="defaultText textinput f-e<?= isset($this->errors['email']) ? ' invalid' : '' ?>" type="text" name="f_email" size="16" value="<?= $this->data['email'] ? $this->data['email'] : $this->t('feedback_form_email') . ' ...' ?>" />
		<input type="hidden" id="f-email" name="email" value="" />
		<div class="clear"></div>
	</div>

	<div class="line">
		<textarea class="defaultText textareainput f-m<?= isset($this->errors['message']) ? ' invalid' : '' ?>" name="f_message" cols="10" rows="3"><?= $this->data['message'] ? $this->data['message'] : $this->t('feedback_form_message') . ' ...' ?></textarea>
		<input type="hidden" id="f-message" name="message" value="" />
		<div class="clear"></div>
	</div>

	<? /*<div name="captcha"></div>
	<div class="captcha_box">
		<div id="recaptcha_div"></div>
	</div>*/?>
	<div class="line">
		<span class="fleft" style="margin:8px 30px 0 50px"><img src="<?= $this->getLink('captcha', array(), true) ?>&no_tidy" width="90px" height="30px" alt="" /></span>
		<input style="width:70px !important" class="textinput <?= isset($this->errors['captcha']) ? ' invalid' : '' ?>" type="text" id="f-captcha" name="captcha" size="16"  />
		<div class="clear"></div>
	</div>		
	
	<div class="action-bar">		
		<button type="reset" class="grey-btn"><span><?= __('reset'); ?></span></button>
		<button type="submit" class="red-btn"><span><?= __('submit_email'); ?></span></button>
	</div>
</form>
